Banner Administrative Forms - Error: "Java Application Blocked by Java Security"

If you receive this error when logging into Banner Forms, you should update Java to the latest release of Java 8. Alternatively, you can add https://bannerforms.apps.uillinois.edu to the Exception Site list in your Java control panel.

Symptom

Upon entering Banner Forms you receive an error screen similar to this:

banner error

Solution #1

Update your Java version to the latest version available from https://java.com.  If you do not have administrative or elevated permissions on your computer, you will need assistance from your local system administrator to install or upgrade Java.

Solution #2

Add https://bannerforms.apps.uillinois.edu to the Exception Site List in your Java control panel or Java system preferences.  Visit the following document for details on this procedure:

Java - Adding Sites to Exceptions List

After applying either solution, restart your browser before trying again to enter Banner Forms.

Explanation

One of the underlying Oracle Forms certificates that are used to support Banner is slated to expire on February 1, 2018.  Oracle is not issuing another one, but has introduced technology in their Java plugin that will ignore the expiration.  A bug was encountered back in November that required a minimum Java release of version 8, update 151 in order to run Banner or an entry in the Java exceptions list for a previously expiring certificate.  Only users running versions of Java older than 8u151 will encounter this error if the entry in their Exception Site List does not exist.

See Also:




Keywords:AITS, Java, JRE, iCS, Prodagio, Travel Expense Management, SiteScope, AppWorx, UC4, IntelliCheck, eVisions, DocumentDirect, ViewDirect, EDDIE   Doc ID:79645
Owner:Shawn L.Group:University of Illinois System
Created:2018-01-24 18:29 CDTUpdated:2018-08-01 08:36 CDT
Sites:University of Illinois System
Feedback:  0   0